<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: FishingRod_Base_New Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d26/class_fishing_rod___base___new.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">FishingRod_Base_New Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for FishingRod_Base_New:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d9/d26/class_fishing_rod___base___new.png" usemap="#FishingRod_5FBase_5FNew_map" alt=""/>
  <map id="FishingRod_5FBase_5FNew_map" name="FishingRod_5FBase_5FNew_map">
<area href="../../de/d7a/class_item_base.html" alt="ItemBase" shape="rect" coords="152,0,294,24"/>
<area href="../../df/d2a/class_fishing_rod.html" alt="FishingRod" shape="rect" coords="0,112,142,136"/>
<area href="../../d9/d9b/class_improvised_fishing_rod.html" alt="ImprovisedFishingRod" shape="rect" coords="152,112,294,136"/>
<area href="../../d7/dcf/class_obsolete_fishing_rod.html" alt="ObsoleteFishingRod" shape="rect" coords="304,112,446,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a33c80bb54c3d267d511bb2d209677097"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d26/class_fishing_rod___base___new.html#a33c80bb54c3d267d511bb2d209677097">FishingRod_Base_New</a> ()</td></tr>
<tr class="separator:a33c80bb54c3d267d511bb2d209677097"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5235249e99f4fc66d2540fb3347466e5"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d26/class_fishing_rod___base___new.html#a5235249e99f4fc66d2540fb3347466e5">SetActions</a> ()</td></tr>
<tr class="separator:a5235249e99f4fc66d2540fb3347466e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9735cc9a63a28278dfb5f03fcae66856"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d26/class_fishing_rod___base___new.html#a9735cc9a63a28278dfb5f03fcae66856">GetFishingEffectivityBonus</a> ()</td></tr>
<tr class="separator:a9735cc9a63a28278dfb5f03fcae66856"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abaeefc73c7e27e980c9b583375eba60d"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d26/class_fishing_rod___base___new.html#abaeefc73c7e27e980c9b583375eba60d">IsOpen</a> ()</td></tr>
<tr class="separator:abaeefc73c7e27e980c9b583375eba60d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2819b21527a5d59ede63ed51a8385d21"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d26/class_fishing_rod___base___new.html#a2819b21527a5d59ede63ed51a8385d21">AnimateFishingRod</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> state)</td></tr>
<tr class="separator:a2819b21527a5d59ede63ed51a8385d21"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00001">1</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a33c80bb54c3d267d511bb2d209677097" name="a33c80bb54c3d267d511bb2d209677097"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33c80bb54c3d267d511bb2d209677097">&#9670;&#160;</a></span>FishingRod_Base_New()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FishingRod_Base_New::FishingRod_Base_New </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00003">3</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a2819b21527a5d59ede63ed51a8385d21" name="a2819b21527a5d59ede63ed51a8385d21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2819b21527a5d59ede63ed51a8385d21">&#9670;&#160;</a></span>AnimateFishingRod()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FishingRod_Base_New::AnimateFishingRod </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00024">24</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a9735cc9a63a28278dfb5f03fcae66856" name="a9735cc9a63a28278dfb5f03fcae66856"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9735cc9a63a28278dfb5f03fcae66856">&#9670;&#160;</a></span>GetFishingEffectivityBonus()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> FishingRod_Base_New::GetFishingEffectivityBonus </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00014">14</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="abaeefc73c7e27e980c9b583375eba60d" name="abaeefc73c7e27e980c9b583375eba60d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abaeefc73c7e27e980c9b583375eba60d">&#9670;&#160;</a></span>IsOpen()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> FishingRod_Base_New::IsOpen </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00019">19</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<a id="a5235249e99f4fc66d2540fb3347466e5" name="a5235249e99f4fc66d2540fb3347466e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5235249e99f4fc66d2540fb3347466e5">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void FishingRod_Base_New::SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html#l00007">7</a> of file <a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/ItemBase/<a class="el" href="../../d2/ddb/_fishing_rod___base_8c_source.html">FishingRod_Base.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/d26/class_fishing_rod___base___new.html">FishingRod_Base_New</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
